Bug 1284846 - Custom audit logger is ignored in server mode
Custom audit logger is ignored in server mode
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Server (Show other bugs)
6.5.0
Unspecified Unspecified
unspecified Severity high
: ER4
: 6.6.0
Assigned To: Vojtech Juranek
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 05:46 EST by Vojtech Juranek
Modified: 2016-01-22 10:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In Red Hat JBoss Data Grid the custom audit logger option was ignored in server mode, and the default audit logger was not turned on. This is resolved as of Red Hat JBoss Data Grid 6.6.0. Users can now set up their own audit logger, and if no audit logger is provided, then the default audit logger is used.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-5982 Major Resolved Custom audit logger is ignored in server mode 2016-04-06 08:52 EDT

  None (edit)
Description Vojtech Juranek 2015-11-24 05:46:42 EST
Please see https://issues.jboss.org/browse/ISPN-5982
Comment 2 Vojtech Juranek 2015-11-27 06:26:53 EST
PR: https://github.com/infinispan/jdg/pull/804
Comment 3 Vojtech Juranek 2015-12-03 14:54:33 EST
https://github.com/infinispan/jdg/commit/263657892bedabf584e7000fca460764ee2fe6b0 switched to InfinispanSubsystemXMLReader_6_4 which doesn't contain the fix and thus audit logger set up in server config is again ignored.
Comment 4 Vojtech Juranek 2015-12-07 07:59:29 EST
PR: https://github.com/infinispan/jdg/pull/818

Note You need to log in before you can comment on or make changes to this bug.